OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph_codeblock_fun.h File Reference
`#include "ojph_defs.h"`
`#include "ojph_file.h"`
`#include "ojph_params_local.h"`

Go to the source code of this file.

## Classes
struct | ojph::local::codeblock_fun

## Namespaces
namespace | ojph
namespace | ojph::local

## Typedefs
typedef void(* | ojph::local::mem_clear_fun) (void *addr, size_t count)
typedef ui32(* | ojph::local::find_max_val_fun32) (ui32 *addr)
typedef ui64(* | ojph::local::find_max_val_fun64) (ui64 *addr)
typedef void(* | ojph::local::tx_to_cb_fun32) (const void *sp, ui32 *dp, ui32 K_max, float delta_inv, ui32 count, ui32 *max_val)
typedef void(* | ojph::local::tx_to_cb_fun64) (const void *sp, ui64 *dp, ui32 K_max, float delta_inv, ui32 count, ui64 *max_val)
typedef void(* | ojph::local::tx_from_cb_fun32) (const ui32 *sp, void *dp, ui32 K_max, float delta, ui32 count)
typedef void(* | ojph::local::tx_from_cb_fun64) (const ui64 *sp, void *dp, ui32 K_max, float delta, ui32 count)
typedef bool(* | ojph::local::cb_decoder_fun32) (ui8 *coded_data, ui32 *decoded_data, ui32 missing_msbs, ui32 num_passes, ui32 lengths1, ui32 lengths2, ui32 width, ui32 height, ui32 stride, bool stripe_causal)
typedef bool(* | ojph::local::cb_decoder_fun64) (ui8 *coded_data, ui64 *decoded_data, ui32 missing_msbs, ui32 num_passes, ui32 lengths1, ui32 lengths2, ui32 width, ui32 height, ui32 stride, bool stripe_causal)
typedef void(* | ojph::local::cb_encoder_fun32) (ui32 *buf, ui32 missing_msbs, ui32 num_passes, ui32 width, ui32 height, ui32 stride, ui32 *lengths, ojph::mem_elastic_allocator *elastic, ojph::coded_lists *&coded)
typedef void(* | ojph::local::cb_encoder_fun64) (ui64 *buf, ui32 missing_msbs, ui32 num_passes, ui32 width, ui32 height, ui32 stride, ui32 *lengths, ojph::mem_elastic_allocator *elastic, ojph::coded_lists *&coded)